#ifndef DICTPAGE_H
#define DICTPAGE_H

#include "dict.h"

class QString;

class DictPage
{
public:
	DictPage() {};
	DictPage(const DictResponse &response);
	void set(const DictResponse &response);
	void set(const QString &text);
	QString htmltext();
	QString stylesheet();
	void error(const QString &text, const QString &host);
	void about(const QString &text);
	void heading(const QString &text);
	void words(const QString &text);
	void matches(const DictList &list);
	void suggestions(const DictList &list);
	void server(const QString &text);
	void databases(const DictList &list);
	void strategies(const DictList &list);
	void matches(const QString &text, bool suggestions);
	void heading2(const QString &text);

private:
	QString html;
};

#endif
