#ifndef DICTSETTINGS_H
#define DICTSETTINGS_H

#include "ui_settings.h"

#include <KDialog>

struct DictConf {
	bool corrections, headings, matchFrame, autoMatch;
	int sidebar;
};

class DictSettings : public KDialog, public Ui::Settings
{
	Q_OBJECT

public:
	DictSettings(QWidget *parent);
	void setHosts(const QStringList &hosts);
	QStringList hosts();
	void setFont(const QFont &font);
	void readConf(const DictConf &conf);
	void writeConf(DictConf &conf);
	QFont font() { return fontrequester->font(); };
};

#endif
