#include "dictwindow.h"

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

int main(int argc, char *argv[])
{
	KAboutData aboutData("dikt", 0,
		ki18n("DiKt"), "1",
		ki18n("Dictionary for Kde"),
		KAboutData::License_BSD,
		ki18n("Copyright 2008 by Goran Tal"));
	aboutData.setProgramIconName("accessories-dictionary");
	KCmdLineArgs::init(argc, argv, &aboutData);
	KApplication app;

	new DictWindow();
	return app.exec();
}
